#!/bin/sh

MOZ_WORKDIR=
MOZ_APPNAME="${1:-mozilla}"
MOZ_DIST_BIN="/usr/lib/$MOZ_APPNAME"

exit_handler() {                                                                                               
    local rc=$?
    trap - EXIT
    [ -z "$MOZ_WORKDIR" ] || rm -rf -- "$MOZ_WORKDIR"
    exit $rc
}

[ -w "$MOZ_DIST_BIN/chrome" -a -w "$MOZ_DIST_BIN/components" ] || exit 1

# We must _always_ fake HOME variable. 
MOZ_WORKDIR="$(mktemp -dt $MOZ_APPNAME.XXXXXXXXXX)"
trap exit_handler EXIT HUP INT PIPE TERM QUIT
export HOME="$MOZ_WORKDIR"

umask 022

if [ -x $MOZ_DIST_BIN/regxpcom -a -x $MOZ_DIST_BIN/regchrome ]; then

    /bin/rm -rf $MOZ_DIST_BIN/chrome/overlayinfo
    /bin/rm -f $MOZ_DIST_BIN/chrome/*.rdf
    /bin/rm -f $MOZ_DIST_BIN/component.reg
    /bin/rm -f $MOZ_DIST_BIN/components/compreg.dat
    /bin/rm -f $MOZ_DIST_BIN/components/xpti.dat
    /bin/mkdir -p $MOZ_DIST_BIN/chrome/overlayinfo

    export MOZILLA_FIVE_HOME=$MOZ_DIST_BIN
    export LD_LIBRARY_PATH=${MOZ_DIST_BIN}${LD_LIBRARY_PATH+":$LD_LIBRARY_PATH"}

    $MOZ_DIST_BIN/regxpcom >/dev/null 2>/dev/null
    $MOZ_DIST_BIN/regchrome >/dev/null 2>/dev/null
fi

# Change chrome last update time. 
touch $MOZ_DIST_BIN/chrome
exit 0
