Name: seamonkey
Version: 1.1.16
Release: alt1
Serial: 1
Summary: Web browser and mail reader
License: MPL/NPL
Group: Networking/WWW
Packager: Damir Shayhutdinov <damir@altlinux.ru>
Url: http://www.mozilla.org/projects/seamonkey/

%define seamonkey_home  %_libdir/mozilla
%define seamonkey_version %name-%version
%def_disable debug

Source0: http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/%version/%name-%version.source.tar.bz2
Source1: mozilla-make-package.pl
Source2: mozilla-rebuild-databases.sh
Source3: mozilla-1.7.1-alt-ssl-addon-certs.txt
Source4: seamonkey.firsttime
Source5: mozilla-searchplugins.tar.bz2
Source6: seamonkey-alt-menu-desktop.tar.bz2
Source7: enigmail-0.94.1.tar.gz
Source8: mozilla-enigmail-prefs.js
Source9: mozilla-userChrome.css

Patch2: seamonkey-1.0.4-alt-disable-prefetch.patch
Patch3: seamonkey-1.0.4-alt-system-mozldap.patch
Patch4: seamonkey-1.1-fix-link.patch
Patch5: firefox-3.0-fix-layout-shortcuts.patch
Patch6: seamonkey-1.1.12-alt-fix-path-limits.patch



Patch7: seamonkey-home-page.patch
Patch8: seamonkey-1.0.4-gtk2+xft-xrender-workaround.patch

# ALT patches
Patch113: mozilla-1.7-alt-add-plugins-dir.patch
Patch114: mozilla-1.7-alt-run-mozilla.patch
Patch131: mozilla-alt-enigmail.patch


#RH patch
Patch150: mozilla-default-plugin-less-annoying.patch
Patch151: firefox-1.5-with-system-nss.patch

PreReq: urw-fonts seamonkey-plugins-common
Requires: seamonkey-psm
Obsoletes: mozilla < 1.8
Provides: mozilla = 1.8
Conflicts: mozilla < 1.8

# Automatically added by buildreq on Sun Jul 16 2006
BuildRequires: gcc-c++ libdnet-devel libgtk+2-devel libIDL-devel 
BuildRequires: libjpeg-devel libnspr-devel libpng-devel libXinerama-devel libXext-devel
BuildRequires: libXp-devel libXt-devel makedepend net-tools unzip 
BuildRequires: xorg-cf-files zip libnss-devel libnss-devel-static libXft-devel
BuildPreReq: browser-plugins-npapi-devel
BuildPreReq: mozldap-devel
BuildPreReq: autoconf_2.13
BuildRequires: desktop-file-utils

%add_findprov_lib_path %seamonkey_home

%description
SeaMonkey is an open-source web browser, designed for standards
compliance, performance and portability.

%package devel
Summary: Development files for SeaMonkey
Group: Development/Other
Requires: %name = %serial:%version-%release
Obsoletes: mozilla-devel < 1.8
Provides: mozilla-devel = 1.8
Requires: rpm-build-seamonkey


%description devel
Development header files for mozilla.

%package mail
Summary: SeaMonkey-based mail system
Group: Networking/Mail
Requires: %name = %serial:%version-%release coreutils
Obsoletes: mozilla-mail < 1.8
Provides: mozilla-mail = %serial:%version-%release
Requires(postun): %name = %serial:%version-%release

%description mail
Mail/news client based on the SeaMonkey web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package psm
Summary: Personal Security Manager
Group: Networking/WWW
PreReq: coreutils %name = %serial:%version-%release
Provides: %name-nss
Obsoletes: mozilla-psm < 1.8
Obsoletes: mozilla-nss < 1.8
Provides: mozilla-psm = 1.8
Provides: mozilla-nss = 1.8
Requires(postun): %name = %serial:%version-%release

%description psm
The Personal Security Manager is a set of libraries that allow SeaMonkey
to talk to the Network Security Services layer.  It allows SeaMonkey to
access SSL web sites and manage cryptographic keys.

%package irc
Summary: IRC support for SeaMonkey
Group: Networking/IRC
PreReq: %name = %serial:%version-%release
Obsoletes: mozilla-irc < 1.8
Provides: mozilla-irc = 1.8
Requires(postun): %name = %serial:%version-%release

%description irc
IRC support for SeaMonkey.

%package js-debugger
Summary: JavaScript debugger for use with SeaMonkey
Group: Networking/WWW
PreReq: coreutils %name = %serial:%version-%release
Obsoletes: mozilla-js-debugger < 1.8
Provides: mozilla-js-debugger = 1.8
Requires(postun): %name = %serial:%version-%release

%description js-debugger
JavaScript debugger for use with SeaMonkey.

%package dom-inspector
Summary: A tool for inspecting the DOM of pages in SeaMonkey
Group: Networking/WWW
PreReq: coreutils %name = %serial:%version-%release
Obsoletes: mozilla-dom-inspector < 1.8
Provides: mozilla-dom-inspector = 1.8
Requires(postun): %name = %serial:%version-%release

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
SeaMonkey.  This is of great use to people who are doing SeaMonkey chrome
development or web page development.

%package spellchecker
Summary: Spellchecker for SeaMonkey
Group: Networking/WWW
License: LGPL
PreReq: coreutils %name = %serial:%version-%release
Obsoletes: mozilla-spellchecker < 1.8
Provides: mozilla-spellchecker = 1.8
Requires(postun): %name = %serial:%version-%release

%description spellchecker
Spellchecker package for SeaMonkey.

%package enigmail
Summary: GPG/PGP integration in SeaMonkey
Group: Networking/WWW
PreReq: coreutils %name = %serial:%version-%release 
PreReq: %name-mail = %serial:%version-%release gnupg
Obsoletes: mozilla-enigmail < 1.8
Provides: mozilla-enigmail = 1.8
Requires(postun): %name = %serial:%version-%release

%description enigmail
GPG/PGP integration in SeaMonkey

%package plugins-common
Summary: SeaMonkey Plugins Common
Group: Networking/WWW
Obsoletes: mozilla-plugins-common < 1.8
Provides: mozilla-plugins-common = 1.8
Conflicts: mozilla-plugins-common < 1.8

%description plugins-common
SeaMonkey Plugins Common

%prep

%setup -q -n mozilla
tar -xz -C mailnews/extensions -f %SOURCE7

sed -i s@/global/locale/brand.dtd@/branding/locale/brand.dtd@g mailnews/extensions/enigmail/ui/content/*.xul

%patch4 -p1

#disable prefetch by default
%patch2 -p1


#build with system mozldap 
%patch3 -p1

# Fix possible buffer overflow in xpcom
%patch6 -p1
#homepage patch
#%patch7 -p1 -b .home-page

# gtk2 fonts rendering workaround
%patch8 -p1

# add ALT plugin dir
%patch113 -p1

# add run-mozilla patch
%patch114 -p1

# add enigmail
%patch131 -p1

# RH patch for less annoying default plugin
%patch150 -p1

# Mozilla patch for shorcuts in non-latin layout
%patch5 -p0

%build
# additional CA certificates
cat %SOURCE3 >> security/nss/lib/ckfw/builtins/certdata.txt
%make -C security/nss/lib/ckfw/builtins PERL=%_bindir/perl generate

rpath_link=`pwd`/dist/lib
export LDFLAGS="$LDFLAGS -Wl,-rpath,%seamonkey_home -Wl,-rpath-link,$rpath_link"
%add_optflags -Wno-non-virtual-dtor

autoconf_2.13
# build seamonkey
%undefine __libtoolize
export ac_cv_visibility_pragma=no 
%configure \
    --disable-timeline \
    %{subst_enable debug} \
    --disable-debug-modules \
    --disable-debugger-info-modules \
    --disable-tests \
    --disable-pedantic \
    --disable-short-wchar \
    --disable-logging \
    --with-system-nspr \
    --with-system-ldap \
    --with-system-nss \
    --disable-freetype2 \
    --enable-xprint  \
    --enable-svg \
    --enable-svg-renderer=cairo \
    --enable-system-cairo \
    --enable-default-toolkit=gtk2 \
    --enable-crypto \
    --enable-mathml \
    --enable-bidi \
    --enable-optimize="%optflags" \
    --enable-reorder \
    --enable-strip-libs \
    --enable-cpp-rtti \
    --enable-cpp-exceptions \
    --disable-calendar \
    --enable-xft \
    --enable-canvas \
    --with-system-jpeg \
    --with-system-png \
    --with-system-zlib \
    --with-default-mozilla-five-home=%seamonkey_home \
    --with-user-appdir=.seamonkey \
    --enable-application=suite \
    --enable-extensions \
    --enable-old-abi-compat-wrappers

sed -i "/NSS_LIBS/s@-lcrmf@-lcrmf -lnssutil3@" config/autoconf.mk
%make_build

cd mailnews/extensions/enigmail
./makemake -r
%make_build
cd -

cp %SOURCE9 dist/bin/defaults/profile/chrome/

%install
%make_install DESTDIR=%buildroot install 

for dir in %_libdir %_includedir %_datadir/idl
do
	mv %buildroot/$dir/%seamonkey_version %buildroot/$dir/mozilla
	ln -s mozilla %buildroot/$dir/%seamonkey_version
	ln -s mozilla %buildroot/$dir/seamonkey
done

# Packages
for i in langenus regus deflenus xpcom browser; 
do 
%SOURCE1 --package $i --output-file %buildroot/seamonkey.list \
	--package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
	--install-dir %buildroot%seamonkey_home \
	--install-root %seamonkey_home
done

# hack for correct enigmail installation
cat << EOF >> %buildroot%seamonkey_home/chrome/installed-chrome.txt
content,install,url,jar:resource:/chrome/enigmail.jar!/content/enigmail/
locale,install,url,jar:resource:/chrome/enigmail.jar!/locale/en-US/enigmail/
locale,install,url,jar:resource:/chrome/enigmail-en-US.jar!/locale/en-US/enigmail/
skin,install,url,jar:resource:/chrome/enigmail-skin-tbird.jar!/skin/classic/enigmail/
skin,install,url,jar:resource:/chrome/enigmail-skin.jar!/skin/modern/enigmail/
skin,install,url,jar:resource:/chrome/enigmail-skin.jar!/skin/classic/enigmail/
skin,install,url,jar:resource:/chrome/enigmail.jar!/skin/modern/enigmail/
skin,install,url,jar:resource:/chrome/enigmail.jar!/skin/classic/enigmail/
EOF
install -m 644 %SOURCE8 %buildroot%seamonkey_home/defaults/pref/enigmail.js
cp -arL dist/bin/components/*enig*     %buildroot%seamonkey_home/components/
cp -arL dist/bin/components/*ipc*      %buildroot%seamonkey_home/components/
cp -arL dist/bin/chrome/enigmail*.jar  %buildroot%seamonkey_home/chrome/

for i in mail psm chatzilla venkman inspector spellcheck enigmail
do
%SOURCE1 --package $i --output-file %buildroot/seamonkey-$i.list \
	--package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
	--install-dir %buildroot%seamonkey_home \
	--install-root %seamonkey_home
done

# install rebuild-databases.sh
install -m755 -D %SOURCE2 %buildroot%seamonkey_home/rebuild-databases.sh
%__subst s,/usr/lib,%_libdir,g %buildroot%seamonkey_home/rebuild-databases.sh
%__subst 's,MOZ_APPNAME=.*,MOZ_APPNAME=%name,' %buildroot%seamonkey_home/rebuild-databases.sh

# install firsttime.d
install -m755 -D %SOURCE4 %buildroot%_sysconfdir/firsttime.d/%name
%__subst s,@seamonkey_home@,%seamonkey_home,g \
	%buildroot%_sysconfdir/firsttime.d/%name

# install icons
install -D suite/branding/icons/gtk/default16.xpm \
	%buildroot/%_miconsdir/%name.xpm
install -D suite/branding/icons/gtk/default.xpm \
	%buildroot/%_iconsdir/%name.xpm
install -D suite/branding/icons/gtk/%name.png \
	%buildroot/%_iconsdir/hicolor/128x128/apps/%name.png

# install search plugins
tar -C %buildroot/%seamonkey_home -xjf %SOURCE5

# install desktop menu
mkdir -p %buildroot/%_desktopdir
tar -C %buildroot/%_desktopdir -xjf %SOURCE6

# enigmail

# save original chrome
cp %buildroot%seamonkey_home/chrome/installed-chrome.txt  %buildroot%seamonkey_home/chrome/installed-chrome-orig.txt

%ifdef M40
# make devel library links
for i in gkgfx jsj mozjs gtkembedmoz gtkxtbin \
	xpcom xpcom_compat xpcom_core msgbaseutil
do
	ln -sf mozilla/lib$i.so %buildroot/%_libdir/lib$i.so
done
%endif
# fix pkgconfig
%__subst s@%name-%version@mozilla@ %buildroot/%_pkgconfigdir/seamonkey-{gtkmozembed,js,nspr,nss,plugin,xpcom}.pc
%__subst 's@libdir=.*@libdir=%_libdir/mozilla@' %buildroot/%_pkgconfigdir/seamonkey-{gtkmozembed,js,nspr,nss,plugin,xpcom}.pc
%__subst 's@-L%_libdir/%name-%version@-L%_libdir/mozilla@g' %buildroot/%_bindir/seamonkey-config

%__subst 's,@npapidir@,%browser_plugins_path,g' %buildroot/%_bindir/seamonkey

# build initial component and chrome registry
pushd %buildroot%seamonkey_home
LD_LIBRARY_PATH=%buildroot%seamonkey_home:%buildroot%_libdir \
	MOZILLA_FIVE_HOME=%buildroot%seamonkey_home ./regxpcom
echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt	
echo "locale,install,select,en-US" >> chrome/installed-chrome.txt
LD_LIBRARY_PATH=%buildroot%seamonkey_home:%buildroot%_libdir \
	MOZILLA_FIVE_HOME=%buildroot%seamonkey_home ./regchrome

find . -type d -perm 0700 -exec chmod 755 {} \; || :
popd

for i in gtkmozembed js nspr nss plugin xpcom
do
	ln -sf %name-$i.pc %buildroot%_pkgconfigdir/mozilla-$i.pc
done

cp %buildroot%seamonkey_home/mozilla-xremote-client %buildroot/%_bindir/seamonkey-xremote-client
%post
%ifdef M40
%update_desktopdb
%update_menus
%post_ldconfig
%endif
%seamonkey_home/rebuild-databases.sh

%postun
%ifdef M40
%postun_ldconfig
%clean_menus
%clean_desktopdb
%endif
if [ "$1" == "0" ]; then
    rm -rf %seamonkey_home/chrome/overlayinfo
    rm -f %seamonkey_home/chrome/*.rdf
    rm -f %seamonkey_home/component.reg
    rm -f %seamonkey_home/components/xpti*.dat
fi

%post mail
%ifdef M40
%update_menus
%post_ldconfig
%endif
%seamonkey_home/rebuild-databases.sh

%postun mail
if [ "$1" == "0" ]; then
%ifdef M40
    %clean_menus
    %postun_ldconfig
%endif
    [ -x %seamonkey_home/rebuild-databases.sh ] && %seamonkey_home/rebuild-databases.sh ||:
fi

%post psm
%ifdef M40
%post_ldconfig
%endif
%seamonkey_home/rebuild-databases.sh

%postun psm
%ifdef M40
%postun_ldconfig
%endif
[ -x %seamonkey_home/rebuild-databases.sh ] && %seamonkey_home/rebuild-databases.sh ||:

%post irc
%ifdef M40
%post_ldconfig
%endif
%seamonkey_home/rebuild-databases.sh

%postun irc
if [ "$1" == "0" ]; then
%ifdef M40
    %postun_ldconfig
%endif
    [ -x %seamonkey_home/rebuild-databases.sh ] && %seamonkey_home/rebuild-databases.sh ||:
fi

%post js-debugger
%ifdef M40
%post_ldconfig
%endif
%seamonkey_home/rebuild-databases.sh

%postun js-debugger
%ifdef M40
%postun_ldconfig
%endif
[ -x %seamonkey_home/rebuild-databases.sh ] && %seamonkey_home/rebuild-databases.sh ||:

%post dom-inspector
%ifdef M40
%post_ldconfig
%endif
%seamonkey_home/rebuild-databases.sh

%postun dom-inspector
%ifdef M40
%postun_ldconfig
%endif
[ -x %seamonkey_home/rebuild-databases.sh ] && %seamonkey_home/rebuild-databases.sh ||:

%post spellchecker
%ifdef M40
%post_ldconfig
%endif
%seamonkey_home/rebuild-databases.sh

%postun spellchecker
%ifdef M40
%postun_ldconfig
%endif
[ -x %seamonkey_home/rebuild-databases.sh ] && %seamonkey_home/rebuild-databases.sh ||:

%post enigmail
%ifdef M40
%post_ldconfig
%endif
%seamonkey_home/rebuild-databases.sh

%postun enigmail
%ifdef M40
%postun_ldconfig
%endif
[ -x %seamonkey_home/rebuild-databases.sh ] && %seamonkey_home/rebuild-databases.sh ||:

%files -f %buildroot/seamonkey.list
%exclude /*.list
%_sysconfdir/firsttime.d/%name
%_bindir/%name
%_bindir/%name-xremote-client
%seamonkey_home/rebuild-databases.sh
%seamonkey_home/*.so
%seamonkey_home/searchplugins

%_datadir/applications/%name-alt-browser.desktop
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_iconsdir/hicolor/128x128/apps/%name.png
%dir %seamonkey_home/defaults/pref
%dir %seamonkey_home/defaults/profile/US
%dir %seamonkey_home/defaults/profile
%dir %seamonkey_home/defaults/wallet
%dir %seamonkey_home/defaults
%dir %seamonkey_home/chrome
%dir %seamonkey_home/components
%dir %seamonkey_home/res/html
%dir %seamonkey_home/res/samples
%dir %seamonkey_home/res/entityTables
%dir %seamonkey_home/searchplugins
%dir %seamonkey_home/res
%dir %_libdir/%name-%version
%seamonkey_home/res/throbber
%dir %_libdir/seamonkey
%dir %seamonkey_home
%dir %seamonkey_home/chrome/icons
%dir %seamonkey_home/chrome/icons/default
%dir %seamonkey_home/defaults/autoconfig
%dir %seamonkey_home/init.d
%dir %seamonkey_home/greprefs
%dir %seamonkey_home/isp
%dir %seamonkey_home/res/dtd
%dir %seamonkey_home/res/fonts
%_man1dir/*
%exclude %seamonkey_home/plugins/*
%exclude %seamonkey_home/defaults/messenger
%exclude %seamonkey_home/libmsgbaseutil.so
%exclude %seamonkey_home/defaults/pref/inspector.js
%seamonkey_home/chrome/reporter*
%seamonkey_home/chrome/installed-chrome-orig.txt
%config(noreplace) %seamonkey_home/chrome/installed-chrome.txt
%verify (not md5 mtime size) %seamonkey_home/components/compreg.dat
%verify (not md5 mtime size) %seamonkey_home/components/xpti.dat
%config (missingok)  %seamonkey_home/chrome/*.rdf
%ifdef M40
%_libdir/*.so
%endif

%files plugins-common
%dir %seamonkey_home
%dir %seamonkey_home/plugins
%seamonkey_home/plugins/*

%files devel
%_includedir/%name
%_includedir/mozilla
%_includedir/%name-%version
%seamonkey_home/xpcshell
%seamonkey_home/xpidl
%seamonkey_home/xpt_dump
%seamonkey_home/xpt_link
%_pkgconfigdir/*
%_bindir/%name-config
%_datadir/idl/%name
%_datadir/idl/mozilla
%_datadir/idl/%name-%version
%seamonkey_home/TestGtkEmbed
%dir %seamonkey_home/res/samples
%seamonkey_home/res/samples/*
%seamonkey_home/defaults/profile/US/chrome/*example.css
%seamonkey_home/chrome/embed-sample.jar

%files mail -f %buildroot/seamonkey-mail.list
%_desktopdir/%name-alt-mail.desktop
%seamonkey_home/chrome/messenger.jar
%seamonkey_home/components/libmailnews.so
%seamonkey_home/components/libmailview.so
%seamonkey_home/components/liblocalmail.so
%seamonkey_home/components/libmsg*.so
%seamonkey_home/defaults/messenger


%files psm -f %buildroot/seamonkey-psm.list

%files irc -f %buildroot/seamonkey-chatzilla.list
%seamonkey_home/chrome/chatzilla.jar
%seamonkey_home/chrome/icons/default/chatzilla*

%files spellchecker  -f %buildroot/seamonkey-spellcheck.list 
%files js-debugger -f %buildroot/seamonkey-venkman.list
%files dom-inspector -f %buildroot/seamonkey-inspector.list
%seamonkey_home/chrome/inspector.manifest
%files enigmail -f %buildroot/seamonkey-enigmail.list
%seamonkey_home/chrome/enigmail*
%seamonkey_home/components/*enig*
%seamonkey_home/components/ipc.xpt
%seamonkey_home/defaults/pref/enigmail.js

%changelog
* Sat Apr 11 2009 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.16-alt1
- 1.1.16 security release
  + MFSA 2009-13  Arbitrary code execution through XUL <tree> element
  + MFSA 2009-12 XSL Transformation vulnerability

* Sat Apr 04 2009 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.15-alt2
- Added --enable-old-abi-compat-wrappers (thanks legion@) in attempt
  to fix segmentation violations on i586

* Thu Mar 26 2009 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.15-alt1
- 1.1.15 security update
  + MFSA 2009-10  Upgrade PNG library to fix memory safety hazards
  + MFSA 2009-09 XML data theft via RDFXMLDataSource and cross-domain redirect
  + MFSA 2009-07 Crashes with evidence of memory corruption (rv:1.9.0.7)
  + MFSA 2009-05 XMLHttpRequest allows reading HTTPOnly cookies
  + MFSA 2009-01 Crashes with evidence of memory corruption (rv:1.9.0.6)

* Wed Dec 17 2008 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.14-alt1
- 1.1.14 security update
  + MFSA 2008-68  XSS and JavaScript privilege escalation
  + MFSA 2008-67 Escaped null characters ignored by CSS parser
  + MFSA 2008-66 Errors parsing URLs with leading whitespace and control characters
  + MFSA 2008-65 Cross-domain data theft via script redirect error message
  + MFSA 2008-64 XMLHttpRequest 302 response disclosure
  + MFSA 2008-61 Information stealing via loadBindingDocument
  + MFSA 2008-60 Crashes with evidence of memory corruption (rv:1.9.0.5/1.8.1.19)
- more obsolete macros removed

* Wed Dec 03 2008 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.13-alt2
- Updated buildrequires
- Build with gcc4.1 to avoid crashes on i586 (#17935)
- Fixed desktop files (reported by repocop)

* Thu Nov 13 2008 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.13-alt1
- 1.1.13 security update
  + MFSA 2008-58  Parsing error in E4X default namespace
  + MFSA 2008-57 -moz-binding property bypasses security checks on codebase principals
  + MFSA 2008-56 nsXMLHttpRequest::NotifyEventListeners() same-origin violation
  + MFSA 2008-55 Crash and remote code execution in nsFrameManager
  + MFSA 2008-54 Buffer overflow in http-index-format parser
  + MFSA 2008-53 XSS and JavaScript privilege escalation via session restore
  + MFSA 2008-52 Crashes with evidence of memory corruption (rv:1.9.0.4/1.8.1.18)
  + MFSA 2008-50 Crash and remote code execution via __proto__ tampering
  + MFSA 2008-49 Arbitrary code execution via Flash Player dynamic module unloading
  + MFSA 2008-48 Image stealing via canvas and HTTP redirect
  + MFSA 2008-47 Information stealing via local shortcut files
- Commented out ldconfig in post*

* Sun Nov 02 2008 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.12-alt2
- Fix buffer overflow in regxpcom, thus fix build on modern toolchain

* Sat Sep 27 2008 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.12-alt1
- 1.1.12  security update
  + MFSA 2008-46  Heap overflow when canceling newsgroup message
  + MFSA 2008-45 XBM image uninitialized memory reading
  + MFSA 2008-44 resource: traversal vulnerabilities
  + MFSA 2008-43 BOM characters stripped from JavaScript before execution
  + MFSA 2008-42 Crashes with evidence of memory corruption (rv:1.9.0.2/1.8.1.17)
  + MFSA 2008-41 Privilege escalation via XPCnativeWrapper pollution
  + MFSA 2008-40 Forced mouse drag
  + MFSA 2008-38 nsXMLDocument::OnChannelRedirect() same-origin violation
  + MFSA 2008-37 UTF-8 URL stack buffer overflow

* Thu Jul 17 2008 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.11-alt1
- 1.1.11 security update
  + MFSA 2008-34  Remote code execution by overflowing CSS reference counter

* Sun Jul 06 2008 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.10-alt1
- 1.1.10 security update
  + MFSA 2008-33  Crash and remote code execution in block reflow
  + MFSA 2008-32 Remote site run as local file via Windows URL shortcut
  + MFSA 2008-31 Peer-trusted certs can use alt names to spoof
  + MFSA 2008-30 File location URL in directory listings not escaped properly
  + MFSA 2008-29 Faulty .properties file results in uninitialized memory being used
  + MFSA 2008-28 Arbitrary socket connections with Java LiveConnect on Mac OS X
  + MFSA 2008-27 Arbitrary file upload via originalTarget and DOM Range
  + MFSA 2008-25 Arbitrary code execution in mozIJSSubScriptLoader.loadSubScript()
  + MFSA 2008-24 Chrome script loading from fastload file
  + MFSA 2008-23 Signed JAR tampering
  + MFSA 2008-22 XSS through JavaScript same-origin violation
  + MFSA 2008-21 Crashes with evidence of memory corruption (rv:1.8.1.15)
  + MFSA 2008-20 Crash in JavaScript garbage collector

* Tue May 13 2008 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.9-alt3
- Fix building with new sisyphus_check 
- Applied a patch from RedHat, fixing CVE-2008-1380

* Sat Mar 29 2008 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.9-alt2
- Fix 128x128 icon placement (#12887)
- Restored %%_libdir/*.so symlinks for M40 updates (suggested by mike@)

* Wed Mar 26 2008 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.9-alt1
- 1.1.9 security update
  + MFSA 2008-19 XUL popup spoofing variant (cross-tab popups)
  + MFSA 2008-18 Java socket connection to any local port via LiveConnect
  + MFSA 2008-17 Privacy issue with SSL Client Authentication
  + MFSA 2008-16 HTTP Referrer spoofing with malformed URLs
  + MFSA 2008-15 Crashes with evidence of memory corruption (rv:1.8.1.13)
  + MFSA 2008-14 JavaScript privilege escalation and arbitrary code execution

* Fri Feb 08 2008 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.8-alt1
- 1.1.8 security update
  + MFSA 2008-10 URL token stealing via stylesheet redirect
  + MFSA 2008-09 Mishandling of locally-saved plain text files
  + MFSA 2008-06 Web browsing history and forward navigation stealing
  + MFSA 2008-05 Directory traversal via chrome: URI
  + MFSA 2008-03 Privilege escalation, XSS, Remote Code Execution
  + MFSA 2008-02 Multiple file input focus stealing vulnerabilities
  + MFSA 2008-01 Crashes with evidence of memory corruption (rv:1.8.1.12)
- Removed .so files from libdir

* Thu Dec 06 2007 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.7-alt2
- Applied fix for shorcuts in non-latin layouts

* Sat Dec 01 2007 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.7-alt1
- 1.1.7 security update
  + MFSA 2007-39 Referer-spoofing via window.location race condition
  + MFSA 2007-38 Memory corruption vulnerabilities (rv:1.8.1.10)
  + MFSA 2007-37 jar: URI scheme XSS hazard

* Sat Oct 20 2007 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.5-alt1
- 1.1.5 security update
  + MFSA 2007-36 URIs with invalid %%-encoding mishandled by Windows
  + MFSA 2007-35 XPCNativeWrapper pollution using Script object
  + MFSA 2007-34 Possible file stealing through sftp protocol
  + MFSA 2007-33 XUL pages can hide the window titlebar
  + MFSA 2007-32 File input focus stealing vulnerability
  + MFSA 2007-31 Browser digest authentication request splitting
  + MFSA 2007-30 onUnload Tailgating
  + MFSA 2007-29 Crashes with evidence of memory corruption (rv:1.8.1.8)
  + MFSA 2007-28 Code execution via QuickTime Media-link files

* Sat Aug 04 2007 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.4-alt1
- 1.1.4 security update
  + MFSA 2007-27  Unescaped URIs passed to external programs
  + MFSA 2007-26 Privilege escalation through chrome-loaded about:blank windows
  + MFSA 2007-23 Remote code execution by launching SeaMonkey from Internet Explorer
- During postun, call rebuild-databases.sh only if it exists

* Wed Aug 01 2007 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.3-alt1
- 1.1.3 security update
  + MFSA 2007-25 XPCNativeWrapper pollution
  + MFSA 2007-24 Unauthorized access to wyciwyg:// documents
  + MFSA 2007-22 File type confusion due to %%00 in name
  + MFSA 2007-21 Privilege escalation using an event handler attached to an element not in the document
  + MFSA 2007-20 Frame spoofing while window is loading
  + MFSA 2007-19 XSS using addEventListener and setTimeout
  + MFSA 2007-18 Crashes with evidence of memory corruption (rv:1.8.1.5)
- All subpackages with postun sections require seamonkey package during postun (#12002)

* Thu May 31 2007 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.2-alt1
- 1.1.2 security update
  + MFSA 2007-17 XUL Popup Spoofing
  + MFSA 2007-16 XSS using addEventListener
  + MFSA 2007-15 Security Vulnerability in APOP Authentication
  + MFSA 2007-14 Path Abuse in Cookies
  + MFSA 2007-12 Crashes with evidence of memory corruption (rv:1.8.0.12/1.8.1.4)

* Tue Mar 13 2007 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.1-alt1.1
- Built with new libnspr
- Cool version with six 1's: 1:1.1.1-alt1.1 :)

* Wed Feb 28 2007 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1.1-alt1
- New upstream release (1.1.1)
- Following critical security vulnerabilities were fixed:
  + MFSA 2007-08  onUnload + document.write() memory corruption
  + MFSA 2007-07 Embedded nulls in location.hostname confuse same-domain checks
  + MFSA 2007-06 Mozilla Network Security Services (NSS) SSLv2 buffer overflow
  + MFSA 2007-05 XSS and local file access by opening blocked popups
  + MFSA 2007-04 Spoofing using custom cursor and CSS3 hotspot
  + MFSA 2007-03 Information disclosure through cache collisions
  + MFSA 2007-02 Improvements to help protect against Cross-Site Scripting attacks
  + MFSA 2007-01 Crashes with evidence of memory corruption (rv:1.8.0.10/1.8.1.2)
- The tab-preview tooltips no longer show a preview for the active tab.

* Thu Jan 18 2007 Damir Shayhutdinov <damir@altlinux.ru> 1:1.1-alt1
- New upstream release (1.1)
- seamonkey-caledar subpackage removed by upstream.

* Fri Dec 29 2006 Damir Shayhutdinov <damir@altlinux.ru> 1:1.0.7-alt2
- Added dependancy for seamonkey-psm (#2316)

* Wed Dec 20 2006 Damir Shayhutdinov <damir@altlinux.ru> 1:1.0.7-alt1
- New upstream release (1.0.7)
- Following critical security vulnerabilities were fixed:
  + MFSA 2006-75 RSS Feed-preview referrer leak
  + MFSA 2006-74 Mail header processing heap overflows
  + MFSA 2006-73 Mozilla SVG Processing Remote Code Execution
  + MFSA 2006-72 XSS by setting img.src to javascript: URI
  + MFSA 2006-71 LiveConnect crash finalizing JS objects
  + MFSA 2006-70 Privilege escallation using watch point
  + MFSA 2006-69 CSS cursor image buffer overflow (Windows only)
  + MFSA 2006-68 Crashes with evidence of memory corruption (rv:1.8.0.9/1.8.1.1)

* Wed Nov 15 2006 Damir Shayhutdinov <damir@altlinux.ru> 1:1.0.6-alt2
- Removed -fstack-protector and -D_FORTIFY_SOURCE=2 from optflags
- Moved "enigmail" upper as suggested by Dmitry Katsubo <dma_k@mail.ru>
- Packed seamonkey-xremote-client (fixes #10299)
- Moved macros to rpm-build-seamonkey package.
- seamonkey-devel now requires rpm-build-seamonkey package to preserve backward compatibility.

* Mon Nov 13 2006 Damir Shayhutdinov <damir@altlinux.ru> 1:1.0.6-alt1
- New upstream release (1.0.6)
- Following critical security vulnerabilities were fixed:
  + MFSA 2006-67 Running Script can be recompiled
  + MFSA 2006-66 RSA signature forgery (variant)
  + MFSA 2006-65 Crashes with evidence of memory corruption (rv:1.8.0.8)

* Fri Oct 20 2006 Damir Shayhutdinov <damir@altlinux.ru> 1:1.0.5-alt3
- Removed libssp-devel from BuildReqs

* Sun Oct 08 2006 Damir Shayhutdinov <damir@altlinux.ru> 1:1.0.5-alt2
- Updated enigmail to 0.94.1
- Changed libdir in seamonkey-*.pc to /usr/lib/mozilla

* Sat Sep 16 2006 Damir Shayhutdinov <damir@altlinux.ru> 1:1.0.5-alt1
- 1.0.5 version.

* Sun Aug 27 2006 Damir Shayhutdinov <damir@altlinux.ru> 1:1.0.4-alt5
- Marked installed-chrome.txt as a config file, this should save language
and skin selection after an upgrade.
- Corrected seamonkey-mail desktop file.
- Enabled extensions building.

* Fri Aug 18 2006 Damir Shayhutdinov <damir@altlinux.ru> 1:1.0.4-alt4
- Provides: mozilla = 1.8
- Built with system mozldap

* Wed Aug 16 2006 Damir Shayhutdinov <damir@altlinux.ru> 1:1.0.4-alt3
- Added searching plugins in %%browser_plugins_path
- Fixed pkgconfig and seamonkey-config (replaced /usr/lib/seamonkey-1.0.4 with /usr/lib)
- Fixed #4352

* Thu Aug 10 2006 Damir Shayhutdinov <damir@altlinux.ru> 1:1.0.4-alt2
- Disabled link prefetching by default to be more traffic friendly
- Added Provides and Obsoletes: mozilla-*
- Move all from /usr/lib/seamonkey to /usr/lib/mozilla 

* Sun Aug 06 2006 Damir Shayhutdinov <damir@altlinux.ru> 1.0.4-alt1
- 1.0.4
- more spec cleanup as suggested by php-coder@

* Tue Jul 04 2006 Damir Shayhutdinov <damir@altlinux.ru> 1.0.3-alt1
- first build for Sisyphus
- based on cleaned up mozilla.spec

